Subject: [Ace] I-D Action: draft-ietf-ace-cmpv2-coap-transport-01.txt

From: [email-masked]
Date: Thu, 22 Apr 2021 22:37:25 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Authentication and Authorization for Constrained Environments WG of the IETF.

        Title           : CoAP Transport for CMPV2
        Authors         : Mohit Sahni
                          Saurabh Tripathi
	Filename        : draft-ietf-ace-cmpv2-coap-transport-01.txt
	Pages           : 8
	Date            : 2021-04-22

Abstract:
   This document specifies the use of Constrained Application Protocol
   (CoAP) as a transport medium for the Certificate Management Protocol
   (CMP).  CMP defines the interaction between various PKI entities for
   the purpose of certificate creation and management.  CoAP is an HTTP
   like client-server protocol used by various constrained devices in
   the IoT space.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ace-cmpv2-coap-transport/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-ace-cmpv2-coap-transport-01
https://datatracker.ietf.org/doc/html/draft-ietf-ace-cmpv2-coap-transport-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ace-cmpv2-coap-transport-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Mohit Sahni <[email-masked]>
Date: Thu, 22 Apr 2021 22:54:28 -0700

Hello Ace WG,
I have updated this draft based on the comments that I received from
the ACE WG. Here is a summary of the changes:
- Changed CMPv2 to CMP and added reference to CMPv3 draft.
- Updated the Service Discovery section based on the comments
- Added more clarifications for coaps or coap over DTLS
- Updated the CoAP-to-HTTP proxy section with more clarifications.
- Updated the security considerations section based on David and
Hendrik's comments.
- Few other minor changes.

I believe I have taken care of all the comments that I got.

Thanks,
Mohit Sahni

On Thu, Apr 22, 2021 at 10:37 PM <[email-masked]> wrote:
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 23 Apr 2021 06:30:54 +0000

Hi Mohit

Thank you for the update and removing specific reference to CMPV2.
May be you can also remove 'V2' in the document tittle, heading line, and file name with the next update as well.

Many Thanks,
Hendrik

> Von: Ace <[email-masked]> Im Auftrag von Mohit Sahni
> Gesendet: Freitag, 23. April 2021 07:54
> 
> Hello Ace WG,
> I have updated this draft based on the comments that I received from the ACE
> WG. Here is a summary of the changes:
> - Updated the security considerations section based on David and Hendrik's
> comments.
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> > tracker.ietf.org%2Fdoc%2Fdraft-ietf-ace-cmpv2-coap-transport%2F&amp;da
> >
> ta=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf8909f8c12414101e37
> 708d
> >
> 9061c5185%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63754754
> 0959810
> >
> 062%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiL
> CJBTi
> >
> I6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=DJsS1KS4zUZ4uoiq8o%2Bk
> Ww7IM5
> > %2B4h9jYDQ57pgSSYME%3D&amp;reserved=0
> >
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftool
> > s.ietf.org%2Fhtml%2Fdraft-ietf-ace-cmpv2-coap-transport-01&amp;data=04
> >
> %7C01%7Chendrik.brockhaus%40siemens.com%7Cf8909f8c12414101e37708d9
> 061c
> >
> 5185%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C6375475409598
> 10062%7
> >
> CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI
> 6Ik1
> >
> haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=k7KHHnE8g86mvA%2F2jbanFfyo
> WMt6YqK
> > CQNjSegjFkW4%3D&amp;reserved=0
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdata
> > tracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-ace-cmpv2-coap-transport-01
> >
> &amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf8909f8c1241
> 4101
> >
> e37708d9061c5185%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C6
> 3754754
> >
> 0959810062%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoi
> V2luMzI
> >
> iLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=v1KwFFAQ59Ipi6cM
> KgOou
> > 18QaiEkE0oX2w4G25jXC8I%3D&amp;reserved=0
> >
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> > ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-ace-cmpv2-coap-transport-01&amp
> >
> ;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf8909f8c12414101e
> 377
> >
> 08d9061c5185%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63754
> 7540959
> >
> 820047%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2lu
> MzIiLCJ
> >
> BTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=wf8sCYK7kLlZvkfOgvbJG
> btNR
> > gm5ve7VY4qdLIcXFYU%3D&amp;reserved=0
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >
> > https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ie
> > tf.org%2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40sie
> >
> mens.com%7Cf8909f8c12414101e37708d9061c5185%7C38ae3bcd95794fd4add
> ab42e
> >
> 1495d55a%7C1%7C0%7C637547540959820047%7CUnknown%7CTWFpbGZsb3d
> 8eyJWIjoi
> >
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000
> &amp;
> >
> sdata=vBLMH8w66uvdzRG2f45OAMeCeSDjtLMoFtD4IzzDKmU%3D&amp;reserv
> ed=0
> >
> >
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> >
> ietf.org%2Fmailman%2Flistinfo%2Face&amp;data=04%7C01%7Chendrik.brockh
> a
> >
> us%40siemens.com%7Cf8909f8c12414101e37708d9061c5185%7C38ae3bcd957
> 94fd4
> >
> addab42e1495d55a%7C1%7C0%7C637547540959820047%7CUnknown%7CTWF
> pbGZsb3d8
> >
> eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> 7C1
> >
> 000&amp;sdata=9tpIkRLz8%2F9KylI3XR54ULOcQPZ1LRI74PM8ls7SiXA%3D&amp
> ;res
> > erved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Face&amp;data=04%7C01%7Chendrik.brockhaus
> %40siemens.com%7Cf8909f8c12414101e37708d9061c5185%7C38ae3bcd95794
> fd4addab42e1495d55a%7C1%7C0%7C637547540959820047%7CUnknown%7CT
> WFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXV
> CI6Mn0%3D%7C1000&amp;sdata=9tpIkRLz8%2F9KylI3XR54ULOcQPZ1LRI74PM
> 8ls7SiXA%3D&amp;reserved=0

---

From: Mohit Sahni <[email-masked]>
Date: Wed, 28 Apr 2021 12:55:11 -0700

Hi Hendrik
Sure, I will do that as part of my next draft.

Thanks
Mohit

On Thu, Apr 22, 2021 at 11:30 PM Brockhaus, Hendrik <
[email-masked]> wrote:

> Hendrik's